    var lastbook = getlastbook(),
		hsbooks = gethsbooks(),
		rp = false;
    for (var i in hsbooks) {
        var ohsbook = hsbooks[i].split("||");
        if (ohsbook.slice(1, 2) == lastbook[1]) {
            hsbooks[i] = lastbook.join("||");
            rp = true;
//			alert('你已收藏过了');
            break;
        }
    }
    if (!rp) {
        hsbooks.unshift(lastbook.join("||"));
        if(hsbooks.length > hsbooks_length) hsbooks.pop();
//		alert('已成功收藏!');
    }

    var hscookie = hsbooks.join("|||");
//alert(hscookie);
    $.cookie('bvalues', hscookie, {expires: 365});